
###############
# VRFs 
###############

{% for vrf in vrfs %}
auto {{ vrf }}
iface {{ vrf }}
    vrf-table auto
{% if devices[inventory_hostname].interfaces.vrf is defined %}
{% if devices[inventory_hostname].interfaces.vrf[vrf] is defined %}
    address {{ devices[inventory_hostname].interfaces.vrf[vrf].ipv4 }} 
    address {{ devices[inventory_hostname].interfaces.vrf[vrf].ipv6 }} 
{% endif %}
{% endif %}
{% endfor %}
